---
title: box-ordinal-group
slug: Web/CSS/box-ordinal-group
tags:
  - CSS
  - CSS Property
  - Non-standard
  - Reference
  - 'recipe:css-property'
---
<div>{{CSSRef}}{{Non-standard_Header}}
<div class="notecard warning">
<p>This is a property of the original CSS Flexible Box Layout Module draft, and has been replaced by a newer standard. See <a href="/en-US/docs/Web/CSS/CSS_Flexible_Box_Layout/Using_CSS_flexible_boxes">flexbox</a> for information about the current standard.</p>
</div>
</div>

<p>The <strong><code>box-ordinal-group</code></strong> <a href="/en-US/docs/Web/CSS">CSS</a> property assigns the flexbox's child elements to an ordinal group.</p>

<pre class="brush:css no-line-numbers notranslate">/* &lt;integer&gt; values */
box-ordinal-group: 1;
box-ordinal-group: 5;

/* Global values */
box-ordinal-group: inherit;
box-ordinal-group: initial;
box-ordinal-group: unset;
</pre>

<p>Ordinal groups may be used in conjunction with the {{CSSxRef("box-direction")}} property to control the order in which the direct children of a box appear. When the computed <code>box-direction</code> is normal, a box will display its elements starting from the lowest numbered ordinal group and ensure that those elements appear to the left (for horizontal boxes) or at the top (for vertical boxes) of the container. Elements with the same ordinal group are flowed in the order they appear in the source document tree. In the reverse direction, the ordinal groups are examined in the same order, except the elements appear reversed.</p>

<h2 id="Syntax">Syntax</h2>

<p>The <code>box-ordinal-group</code> property is specified as any positive {{CSSxRef("&lt;integer&gt;")}}.</p>

<h2 id="Formal_definition">Formal definition</h2>

<p>{{CSSInfo}}</p>

<h2 id="Formal_syntax">Formal syntax</h2>

<pre class="syntaxbox notranslate">{{CSSSyntax}}</pre>

<h2 id="Examples">Examples</h2>

<h3 id="Basic_usage_example">Basic usage example</h3>

<p>In an older version of the spec, <code>box-ordinal-group</code> was included to allow you to change the display order of flex children inside a flex container:</p>

<pre class="brush: css notranslate">article:nth-child(1) {
  -webkit-box-ordinal-group: 2
  -moz-box-ordinal-group: 2
  box-ordinal-group: 2
}

article:nth-child(2) {
  -webkit-box-ordinal-group: 1
  -moz-box-ordinal-group: 1
  box-ordinal-group: 1
}</pre>

<p>The modern flexbox equivalent is {{cssxref("order")}}.</p>

<h2 id="Specifications">Specifications</h2>

<p>Not part of any standard.</p>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("css.properties.box-ordinal-group")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{CSSxRef("box-flex")}}</li>
 <li>{{CSSxRef("box-flex-group")}}</li>
 <li>{{CSSxRef("box-pack")}}</li>
</ul>
